Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# Q3EditorFactory Class Reference

The Q3EditorFactory class is used to create editor widgets for QVariant data types. More...

    #include <Q3EditorFactory>

This class is part of the Qt 3 compatibility library. It is provided to keep old source code working. We strongly advise against using it in new code. See the Porting Guide for more information.

Inherits QObject.

Inherited by Q3SqlEditorFactory.

- List of all members, including inherited members

### Writable Properties

- 1 writable property inherited from QObject

### Public Functions

- Q3EditorFactory ( QObject * parent = 0 )
- ~Q3EditorFactory ()
- virtual QWidget * createEditor ( QWidget * parent, const QVariant & v )

- 26 public functions inherited from QObject

### Public Slots

- 1 public slot inherited from QObject

### Signals

- 1 signal inherited from QObject

### Static Public Members

- Q3EditorFactory * defaultFactory ()
- void installDefaultFactory ( Q3EditorFactory * factory )

- 4 static public members inherited from QObject

### Protected Functions

- 7 protected functions inherited from QObject

## Detailed Description

The Q3EditorFactory class is used to create editor widgets for QVariant data types.

Each editor factory provides the createEditor() function which given a QVariant will create and return a QWidget that can edit that QVariant. For example if you have a QVariant::String type, a QLineEdit would be the default editor returned, whereas a QVariant::Int's default editor would be a QSpinBox.

If you want to create different editors for fields with the same data type, subclass Q3EditorFactory and reimplement the createEditor() function.

## Member Function Documentation

### Q3EditorFactory::Q3EditorFactory ( QObject * parent = 0 )

Constructs an editor factory with parent parent.

### Q3EditorFactory::~Q3EditorFactory ()

Destroys the object and frees any allocated resources.

### QWidget * Q3EditorFactory::createEditor ( QWidget * parent, const QVariant & v ) `[virtual]`

Creates and returns the appropriate editor for the QVariant v. If the QVariant is invalid, 0 is returned. The parent is passed to the appropriate editor's constructor.

### Q3EditorFactory * Q3EditorFactory::defaultFactory () `[static]`

Returns an instance of a default editor factory.

### void Q3EditorFactory::installDefaultFactory ( Q3EditorFactory * factory ) `[static]`

Replaces the default editor factory with factory. Q3EditorFactory takes ownership of factory, and destroys it when it is no longer needed.